<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = note / the NoteAndComment to fill
                        managedBean
                        sectionToReRender -->
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['gazelle.ordermanager.SetID']}</ui:define>
            <h:outputText value="#{note.setID}"/>
        </s:decorate>
    </dl>
    <div class="form-horizontal">
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="nteSource"/>
            <ui:define name="label">#{messages['gazelle.ordermanager.SourceOfComment']}</ui:define>
            <h:selectOneMenu value="#{note.source}" required="true" id="nteSource" styleClass="form-control">
                <f:selectItems value="#{valueSet.getListOfConcepts('sourceOfComment')}"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="nteType"/>
            <ui:define name="label">#{messages['gazelle.ordermanager.CommentType']}</ui:define>
            <h:selectOneMenu value="#{note.type}" required="true" id="nteType" styleClass="form-control">
                <f:selectItems value="#{valueSet.getListOfConcepts('commentType')}"/>
            </h:selectOneMenu>
        </ui:decorate>
        <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
            <ui:param name="id" value="nteContent"/>
            <ui:define name="label">#{messages['gazelle.ordermanager.Comment']}</ui:define>
            <h:inputText value="#{note.comment}" id="nteContent" styleClass="form-control"/>
        </ui:decorate>
    </div>
    <a4j:commandButton value="#{messages['gazelle.ordermanager.AddToObservation']}"
                       actionListener="#{managedBean.addCommentToObservation()}"
                       styleClass="gzl-btn-green" render="#{sectionToReRender}"/>
</ui:composition>
